com.parse

## Interface CountCallback

    public interface CountCallback

A `CountCallback` is used to run code after a `ParseQuery` is used to count objects matching a query in a background thread.

The easiest way to use a `CountCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the count is complete. The `done` function will be run in the UI thread, while the count happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

For example, this sample code counts objects of class `"MyClass"`. It calls a different function depending on whether the count succeeded or not.

     ParseQuery<ParseObject> query = ParseQuery.getQuery("MyClass");
     query.countInBackground(new CountCallback() {
       public void done(int count, ParseException e) {
         if (e == null) {
           objectsWereCountedSuccessfully(count);
         } else {
           objectCountingFailed();
         }
       }
     });

### Method Summary

Methods
`void` `done(int count, ParseException e)` Override this function with the code you want to run after the count is complete.

### Method Detail

#### done

    void done(int count,
            ParseException e)

Override this function with the code you want to run after the count is complete.

Parameters:
  `count` - The number of objects matching the query, or -1 if it failed.
  `e` - The exception raised by the count, or null if it succeeded.